%------------------------------------------------------------------------
% NAME:     qpack_startup
%
%           This functions adds the Qpack directoried to the search path.
%           It is assumed that the main directory of Qpack is the present
%           working directory (pwd).
%
%           If you will use Qpack, launch this function in your startup.m.
%           Do something like this in startup.m:
%             ...
%             cd Qpack
%             qpack_startup;
%             cd ..
%
% FORMAT:   qpack_setup
%
%------------------------------------------------------------------------

% HISTORY: 2001.03.25  Created by Patrick Eriksson


function qpack_startup


addpath(           pwd,                '-begin' );
addpath( fullfile( pwd, 'Setup'     ), '-begin' );
addpath( fullfile( pwd, 'Templates' ), '-begin' );
addpath( fullfile( pwd, 'CLS'       ), '-begin' );
addpath( fullfile( pwd, 'Main'      ), '-begin' );
